Loading...
Searching...
No Matches
irr::scene::CDynamicMeshBuffer Class Reference

`#include <CDynamicMeshBuffer.h>`

Inheritance diagram for irr::scene::CDynamicMeshBuffer:

## Public Member Functions

| CDynamicMeshBuffer (video::E_VERTEX_TYPE vertexType, video::E_INDEX_TYPE indexType)
| constructor
virtual | ~CDynamicMeshBuffer ()
| destructor
virtual const core::aabbox3d< f32 > & | getBoundingBox () const
| Get bounding box.
virtual IIndexBuffer & | getIndexBuffer () const
virtual video::SMaterial & | getMaterial ()
| Get Material of this buffer.
virtual const video::SMaterial & | getMaterial () const
| Get Material of this buffer.
virtual IVertexBuffer & | getVertexBuffer () const
virtual void | recalculateBoundingBox ()
| Recalculate bounding box.
virtual void | setBoundingBox (const core::aabbox3df &box)
| Set bounding box.
virtual void | setIndexBuffer (IIndexBuffer *newIndexBuffer)
virtual void | setVertexBuffer (IVertexBuffer *newVertexBuffer)
Public Member Functions inherited from irr::scene::IDynamicMeshBuffer
virtual void | append (const IMeshBuffer *const other)
| Append the meshbuffer to the current buffer.
virtual void | append (const void *const vertices, u32 numVertices, const u16 *const indices, u32 numIndices)
| Append the vertices and indices to the current buffer.
virtual u32 | getChangedID_Index () const
| Get the currently used ID for identification of changes.
virtual u32 | getChangedID_Vertex () const
| Get the currently used ID for identification of changes.
virtual E_HARDWARE_MAPPING | getHardwareMappingHint_Index () const
| get the current hardware mapping hint
virtual E_HARDWARE_MAPPING | getHardwareMappingHint_Vertex () const
| get the current hardware mapping hint
virtual u32 | getIndexCount () const
| Get amount of indices in this meshbuffer.
virtual video::E_INDEX_TYPE | getIndexType () const
| Get type of index data which is stored in this meshbuffer.
virtual u16 * | getIndices ()
| Get access to Indices.
virtual const u16 * | getIndices () const
| Get access to Indices.
virtual core::vector3df & | getNormal (u32 i)
| returns normal of vertex i
virtual const core::vector3df & | getNormal (u32 i) const
| returns normal of vertex i
virtual core::vector3df & | getPosition (u32 i)
| returns position of vertex i
virtual const core::vector3df & | getPosition (u32 i) const
| returns position of vertex i
virtual core::vector2df & | getTCoords (u32 i)
| returns texture coords of vertex i
virtual const core::vector2df & | getTCoords (u32 i) const
| returns texture coords of vertex i
virtual u32 | getVertexCount () const
| Get amount of vertices in meshbuffer.
virtual video::E_VERTEX_TYPE | getVertexType () const
| Get type of vertex data which is stored in this meshbuffer.
virtual void * | getVertices ()
| Get access to vertex data. The data is an array of vertices.
virtual const void * | getVertices () const
| Get access to vertex data. The data is an array of vertices.
virtual void | setDirty (E_BUFFER_TYPE Buffer=EBT_VERTEX_AND_INDEX)
| flags the mesh as changed, reloads hardware buffers
virtual void | setHardwareMappingHint (E_HARDWARE_MAPPING NewMappingHint, E_BUFFER_TYPE Buffer=EBT_VERTEX_AND_INDEX)
| set the hardware mapping hint, for driver
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Public Attributes

core::aabbox3d< f32 > | BoundingBox
video::SMaterial | Material

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

Definition at line 18 of file CDynamicMeshBuffer.h.

## Constructor & Destructor Documentation

## CDynamicMeshBuffer()

irr::scene::CDynamicMeshBuffer::CDynamicMeshBuffer | ( | video::E_VERTEX_TYPE | vertexType,
|  | video::E_INDEX_TYPE | indexType )

inline

constructor

Definition at line 22 of file CDynamicMeshBuffer.h.

## ~CDynamicMeshBuffer()

virtual irr::scene::CDynamicMeshBuffer::~CDynamicMeshBuffer | ( |  | ) |

inline virtual

destructor

Definition at line 29 of file CDynamicMeshBuffer.h.

## Member Function Documentation

## getBoundingBox()

virtual const core::aabbox3d< f32 > & irr::scene::CDynamicMeshBuffer::getBoundingBox | ( |  | ) | const

inline virtual

Get bounding box.

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 80 of file CDynamicMeshBuffer.h.

References BoundingBox.

## getIndexBuffer()

virtual IIndexBuffer & irr::scene::CDynamicMeshBuffer::getIndexBuffer | ( |  | ) | const

inline virtual

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 42 of file CDynamicMeshBuffer.h.

## getMaterial() [1/2]

virtual video::SMaterial & irr::scene::CDynamicMeshBuffer::getMaterial | ( |  | ) |

inline virtual

Get Material of this buffer.

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 74 of file CDynamicMeshBuffer.h.

References Material.

## getMaterial() [2/2]

virtual const video::SMaterial & irr::scene::CDynamicMeshBuffer::getMaterial | ( |  | ) | const

inline virtual

Get Material of this buffer.

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 68 of file CDynamicMeshBuffer.h.

References Material.

## getVertexBuffer()

virtual IVertexBuffer & irr::scene::CDynamicMeshBuffer::getVertexBuffer | ( |  | ) | const

inline virtual

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 37 of file CDynamicMeshBuffer.h.

Referenced by recalculateBoundingBox().

## recalculateBoundingBox()

virtual void irr::scene::CDynamicMeshBuffer::recalculateBoundingBox | ( |  | ) |

inline virtual

Recalculate bounding box.

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 92 of file CDynamicMeshBuffer.h.

References BoundingBox, getVertexBuffer(), and irr::scene::IVertexBuffer::size().

## setBoundingBox()

virtual void irr::scene::CDynamicMeshBuffer::setBoundingBox | ( | const core::aabbox3df & | box | ) |

inline virtual

Set bounding box.

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 86 of file CDynamicMeshBuffer.h.

References BoundingBox.

## setIndexBuffer()

virtual void irr::scene::CDynamicMeshBuffer::setIndexBuffer | ( | IIndexBuffer * | newIndexBuffer | ) |

inline virtual

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 57 of file CDynamicMeshBuffer.h.

References irr::IReferenceCounted::grab().

## setVertexBuffer()

virtual void irr::scene::CDynamicMeshBuffer::setVertexBuffer | ( | IVertexBuffer * | newVertexBuffer | ) |

inline virtual

Implements irr::scene::IDynamicMeshBuffer.

Definition at line 47 of file CDynamicMeshBuffer.h.

References irr::IReferenceCounted::grab().

## Member Data Documentation

## BoundingBox

core::aabbox3d<f32> irr::scene::CDynamicMeshBuffer::BoundingBox

Definition at line 105 of file CDynamicMeshBuffer.h.

Referenced by getBoundingBox(), recalculateBoundingBox(), and setBoundingBox().

## Material

video::SMaterial irr::scene::CDynamicMeshBuffer::Material

Definition at line 104 of file CDynamicMeshBuffer.h.

Referenced by getMaterial(), and getMaterial().

The documentation for this class was generated from the following file:

- CDynamicMeshBuffer.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0